AutoCad :: When Double Clicked Takes Straight Into Block Editor
Jul 19, 2013
I have two drawing from different companies, both of which have attributed borders with tags, I double click on one companies border and go into the attribute editor as expected, the other one however when double clicked takes me straight into block editor, whats going on?
I'm in the process of converting existing VBA code to VB.NET using AutoCAD 2010 and MS Visual Studio Professional, and I just hit a major snag.
In AutoCAD 2010, double-clicking a block will display its attributes in the attributes editor; I would like instead to be able to display my own custom vb.net form showing some of the block's attributes, IF AND ONLY IF the block was created by my dot net form (the block would have certain identifiable characters in its name).
So far, I have discovered that this may have something to do with the cuix customization file, as well as setting the system variable DBLCLICKEDIT.
I'm working in autoCAD 2011 and I have a quick question: When I open the drawing up from a recent save, all my polylines are not accurate and don't show curves. When I double click the lines, it adjusts itself and shows the curve that I had drawn. Why is this? Will this affect the file if I choose to plot it? Can I keep the lines curved and not have to double click every single line when I open the file just to see what it's supposed to be?
I just installed the student version of Inventor 2011 on my machine. Everything went well but when I double click the inventor icon nothing happens. Autocad mechanical and TruView work fine.
I have created a bock in ACAD 2011 LT. I then save the block using the command line or ribbon button then immediately try to close the block editor without moving or changing anything. A dialog appears saying the changes have not been saved to the block and would I like to save? If I say no don't save my changes and reopen the block the changes have in fact been saved.
My question is there a way to get around this dialog box -Suppress it like FILEDIA = 0 for block editor or an option so it doesn't ask me to save.
The goal is to do this all from the command line w/ out dialog boxes.
I have an existing title block a few text attributes, to which I wish to add a watermark. I have added it in the block editor as a normal attribute, with the same details as the other attributes that work, only a different tag name. It has a default value, "DRAFT" and is tagged "WMARK". It works fine in the Block Editor, and If I test the block I can edit it to display whatever I want, but if I save the block and open it from Autocad proper, the attribute is not in existence, either as a default value, or editable from block properties, attribute editor or title block editor, whereas all of the other attributes are there. I have used BattMan to verify the settings of the attribute, and the only difference is that the others all have "L" in the "Modes" column, but I think that means that their position is "locked" whereas my new attribute is justified "aligned" therefore cannot be "locked" (This is some assumption on my part, as the documentation on the "Modes" column is almost non-existent). I cannot afford to waste much more time on this issue, as the boss is breathing down my neck, but editing watermarks on every drawing after every revision is frustrating, when it could be an attribute that is editable from the title block editor.
My drawing- block is a little bit complicated, it contains few actions and parameters and everytime i open block editor to add, or to modify some action I can't see my drawing because actions grips and parameters grips obscure my drawing. I tried to refresh layout but it doesn't work.
I was in process of editing a block in "block editor" mode. I saved the dwg and exit instead of saving the block, exit block editor and then exit the dwg. When I opened again the dwg what I see on display is just the block. How to close the block and open the entire dwg?
I'm trying to add some attributes to an existing block using the block editor, but after I save and close it I cannot see any 'placeholders' despite adding a default value and the attributes work fine when I double click the block.
I've tried using the ATTSYNC and BATTMAN commands but nothing works and there are no invisibility states applied to either the attribute or block and all layers are switched on.
I just tried making a quick block from scratch and it seems to have the same affect, except the default value will show, but no 'placeholder' shown if left blank.
I swear with previous version I could see the tag when a value hadn't been applied, so is it that the version I now use (2012) does not have this feature or it's disabled?
I have several blocks saved as separate .DWGs, some of which are dynamic. I want to review and test these blocks, but I can't find a way to open the existing block definitions in the Block Editor without first inserting the blocks into a drawing.
I'm editing a title block using the Block Editor. Unfortunatelly after closing the block editor the linse & Polylines reflect the changes apported in nodel space, but the text did not mouve?
In Bridge, when I double click on a image, it opens the image in Windows Photo Viewer rather than in Photoshop CS6 Editor. I have checked the preferences but all that it offers me is to open in Camera RAW. How do I change this?
I am really struggling to get this dynamic block working - It's a plan view on the flight of steps and I would like to space the risers equally between the bottom and top nosing. I was trying to use array but the value (tread going) stays the same... So I need something thath would work just like divide command.
Eventually I need a block with different tread numbers which will be just a matter of creating a few visibility states
Arcticad gave me code to work out the right keywords to search for. The only google hit was a chinese website.I added it to his/her code but didn't delete any of the existing handlers just in case.
Imports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.DatabaseServicesImports Autodesk.AutoCAD.ApplicationServicesImports AcApp = Autodesk.AutoCAD.ApplicationServices.ApplicationImports Autodesk.AutoCAD.EditorInput<Assembly: ExtensionApplication(GetType(VbExtApp))> Public Class VbExtApp Implements Autodesk.AutoCAD.Runtime.IExtensionApplication Private DocMan As DocumentCollection 'Initialize sub. [code]....
I think a setting changed on my pc this weekend. I used to be able to double click the block and edit the attributes in the editor. Now, I can't change any values. I can only get to the dialog that shows info on the block and when I right click, I only have a few commands come out of the flywheel. I rebooted, but no go.
I wanted to ask, if it is possible to open an image in my default editor, if I do a double click on the image?In my case, I want to open the image in Photoshop CC for further manipulation.
I must be using the Enhanced attribute editor the wrong way. Every time I double click the attribute block the enhanced attribute editor opens the dialog box and I have to resize it so a can see all my tags. Then I have to click the tag I want to change then click the value to change it. To change a different tag I have to repeat that process over and over. It makes attributes a complete waste of time. It’s faster to change Mtext or Dtext. I must be doing something wrong. Is there a way to get the dialog box in the image to pop up when I double click the attribute block?
I have this double click class. which works fine. In order to clear grips after user finishes with double clicking,I added two lines (which shown on code below). But having those two line make code faulty. When ?
if user select a dynamic block with stretch grip on it, then double click on stretch grip trianlge. code geneaarte fatal error. Funny thing is code doesn't catch. it. Is there any other way to clear grips after double click ?
Here is code:
Imports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.ApplicationServicesImports Autodesk.AutoCAD.EditorInputImports Autodesk.AutoCAD.DatabaseServicesPublic Class Main_0_Class Implements IExtensionApplication Public Sub Initialize() Implements IExtensionApplication.Initialize dblClickEven_Class.Start() End Sub [Code] .....
I am building finished piping assemblies from a collection of smaller parts I have been creating and saving with WBLOCK. I found a mistake on one of my parts(I needed to rotate a piece of pipe). Because the sub-part was part of the complete assembly, I could not rotate the sub-part independently so I opened the block in the block editor. Apparently, and this was my original question, UCS commands do not work in the block editor. The result of this fact was that I could not rotate the sub-assembly in the direction it needed to go. So first question: Can the UCS be moved in the block editor?It focused on exploding blocks that would not explode. I thought if I could simply explode the block back into its component parts, I could rotate the sub-assembly. This is where everything went to hell.
I am not even sure what happened but now I have a new definition of the block that will still not explode, references itself, includes other parts I don't want and is just generally making me PDM. I figure it will be easier to just delete the entire block and redraw the components rather than trying to fix my mess. I did try the undo command but it apparently will not undo the changes to the block definition. Second question: How do I remove all traces of a block saved with BLOCK and WBLOCK so I can start fresh?
Third question: I will not create another block until I learn more about them. Any reference related to intelligent block creation?
I haven't reviewed the recommended posts, but just a quick question. I am in the 'Dynamic Block Editor' command. I am trying to add a stretch application to the block (a simple section flag), and I have success up until the point where I save and go back into the drawing. There I do not get a pull-down tab and it will not allow me to stretch where I have defined the block through the 'Parameters' and 'Actions' tabs.
After I edit a block in the block editor, It regens to a blank black screen. Then I have to zoom extents and zoom back to where the block is. Is this normal? I would think it'd be better if it just put you back to where you were working. I understand the regen probably is necessary to change all the blocks that need to be updated. Just wonder why it puts you to a blank space.
I am currently using Autocad 2011 and my block editor suddenly won't open this morning... I have tried the blockeditlock to open it but nothing happens when I change the setting (0 or 1).
The tube is a part of something bigger but this particular part is confusing me. When I want to change Distance 4 (in block editor you will see) and the tube diameter has change (something impossible in real world ). I have try to use constrains in block editor - for now without any succes.
tube_block2.dwg
P.S. I have tryied mline, it works, but I wonder if it works without mline (I don't like them).